Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: [11.3] Unable to install wine

  1. #1

    Default [11.3] Unable to install wine

    Hi all,

    Been unsuccessful in trying to install wine on my 11.3 KDE4 x86_64 system, from the Emulators:Wine/openSUSE_11.3 repo.

    This is what my zypper throws up:

    Code:
    Installing: wine-32bit-1.2-4.1 [error]
    Installation of wine-32bit-1.2-4.1 failed:
    (with --nodeps --force) Error: Subprocess failed. Error: RPM failed: error: unpacking of archive failed on file /usr/lib/wine/fakedlls/winealsa.drv;4c4926b6: cpio: link failed - Too many links
    
    Retrieving package wine-1.2-4.1.x86_64 (2/3), 11.4 MiB (83.4 MiB unpacked)
    Retrieving: wine-1.2-4.1.x86_64.rpm [done (160.6 KiB/s)]
    Installing: wine-1.2-4.1 [error]
    Installation of wine-1.2-4.1 failed:
    (with --nodeps --force) Error: Subprocess failed. Error: RPM failed: error: unpacking of archive failed on file /usr/lib64/wine/fakedlls/winnls32.dll;4c492718: cpio: link failed - Too many links
    Any idea what could be wrong / how to proceed further? Thanks.

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,729
    Blog Entries
    20

    Default Re: [11.3] Unable to install wine

    Could be a packaging problem in the build service

    Do the following and try again:

    as su -

    Code:
    zypper clean --all
    then
    Code:
    rpmdb --rebuilddb
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3

    Default Re: [11.3] Unable to install wine

    Thanks for the reply, but it didn't work. Same error messages.

  4. #4

    Default Re: [11.3] Unable to install wine

    i got wine to install the first time the Yast/software/software management. it worked like i have done it a thousand times and I am a big NOOOB when it comes to Linux

  5. #5
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,729
    Blog Entries
    20

    Default Re: [11.3] Unable to install wine

    Quote Originally Posted by dextermanas View Post
    Thanks for the reply, but it didn't work. Same error messages.
    Can you please post the result of

    Code:
    zypper lr -d
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  6. #6

    Default Re: [11.3] Unable to install wine

    Quote Originally Posted by caf4926 View Post
    Can you please post the result of

    Code:
    zypper lr -d
    Code:
    #  | Alias                               | Name                                | Enabled | Refresh | Priority | Type   | URI                                                                         | Service
    ---+-------------------------------------+-------------------------------------+---------+---------+----------+--------+-----------------------------------------------------------------------------+--------
    1  | Emulators:Wine                      | Emulators:Wine                      | Yes     | Yes     |   80     | rpm-md | http://download.opensuse.org/repositories/Emulators:/Wine/openSUSE_11.3/    |        
    2  | NVIDIA Repository                   | NVIDIA Repository                   | Yes     | Yes     |   99     | rpm-md | ftp://download.nvidia.com/opensuse/11.3/                                    |        
    3  | Updates for openSUSE 11.3 11.3-1.82 | Updates for openSUSE 11.3 11.3-1.82 | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/update/11.3/                                   |        
    4  | openSUSE-11.3 11.3-1.82             | openSUSE-11.3 11.3-1.82             | No      | No      |   99     | yast2  | hd:///?device=/dev/sdb1                                                     |        
    5  | openSUSE:11.3:Contrib               | openSUSE:11.3:Contrib               | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/openSUSE:/11.3:/Contrib/standard/ |        
    6  | packman.inode.at-suse               | Packman Repository                  | Yes     | Yes     |   99     | rpm-md | http://packman.inode.at/suse/11.3/                                          |        
    7  | repo-debug                          | openSUSE-11.3-Debug                 | No      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/distribution/11.3/repo/oss/              |        
    8  | repo-non-oss                        | openSUSE-11.3-Non-Oss               | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/11.3/repo/non-oss/                |        
    9  | repo-oss                            | openSUSE-11.3-Oss                   | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/11.3/repo/oss/                    |        
    10 | repo-source                         | openSUSE-11.3-Source                | No      | Yes     |   99     | NONE   | http://download.opensuse.org/source/distribution/11.3/repo/oss/             |

  7. #7
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,729
    Blog Entries
    20

    Default Re: [11.3] Unable to install wine

    Try removing the wine repo
    Add this one
    Index of /repositories/Education/openSUSE_11.3
    Wine is in it
    no need to change the default 99 priority !
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  8. #8

    Default Re: [11.3] Unable to install wine

    Quote Originally Posted by caf4926 View Post
    Try removing the wine repo
    Add this one
    Index of /repositories/Education/openSUSE_11.3
    Wine is in it
    no need to change the default 99 priority !
    Thanks, but that repo doesn't have the 64 bit version of Wine. Anyways, I found the Emulators/openSUSE_11.3 repo and it worked great! So was it a bug in the repo? Should I report it?

    This is what I got with my previous repo:

    The following NEW packages are going to be installed:
    wine wine-32bit
    And this is what I got by adding the new one:
    The following NEW packages are going to be installed:
    dbus-1-32bit hal-32bit libncurses6-32bit wine wine-32bit wine-gecko

    The following recommended package was automatically selected:
    wine-gecko

  9. #9
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,729
    Blog Entries
    20

    Default Re: [11.3] Unable to install wine

    No
    If I'd looked carefully I would have realised you had the wrong repo
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  10. #10

    Default Re: [11.3] Unable to install wine

    Quote Originally Posted by caf4926 View Post
    No
    If I'd looked carefully I would have realised you had the wrong repo
    Thanks, but how can you find out if it's a wrong repo?

    Although I remember there was one repo which was marked as "Do not use", but I haven't come across it yet on the new re-designed search page...

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •